> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete form

> Deletes a form.

For the `prechat` and `postchat` survey forms, the method deactivates the form. For custom forms, it removes the form configuration.

**Required scopes:** <Tooltip tip="Required for the `prechat` and `postchat` survey forms.">`surveys_manage`</Tooltip> or <Tooltip tip="Required for custom forms.">`forms_manage`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/delete_form
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/delete_form:
    post:
      tags:
        - Forms
      summary: Delete form
      description: >-
        Deletes a form.


        For the `prechat` and `postchat` survey forms, the method deactivates
        the form. For custom forms, it removes the form configuration.
      operationId: delete-form
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FormSelectorRequest'
            example:
              type: prechat
              group_id: 0
      responses:
        '200':
          description: Form deleted successfully.
components:
  schemas:
    FormSelectorRequest:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/FormType'
        group_id:
          type: integer
          default: 0
          description: The ID of the group that owns the form.
    FormType:
      type: string
      enum:
        - prechat
        - postchat
        - offline
        - queued
        - email
        - ask_for_email
        - ask_for_email_mm
      description: >-
        The form type:

        - `prechat` and `postchat` — Survey forms.

        - `offline`, `queued`, `email`, `ask_for_email`, and `ask_for_email_mm`
        — Custom forms.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````